#ifndef COORDINATES_H
#define COORDINATES_H

#include "vector.h"

typedef struct Location // place of a thing on the track system
{
  unsigned long part;   // ID of the track part the object is on
  float dist;           // distance already traveled on a track
  Vector pos;           // position relative to the distance already covered
  Rotation rot;         // direction the object is heading (relative to track direction)
} Location;

typedef struct Placement // place of a thing in the rendered coordinate system
{
  Vector r;              // x/y/z coordinated
  Rotation w;            // orientation
} Placement;

#endif
